import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX=80;
const eyeOffsetY=80;
const eyeRadius=50;
const mouthWidth = 10;
const mouthRadius = 80;
// Hair
// hairPoints start from top left, moving counter-clockwise
//https://www.google.com/url?sa=i&url=https%3A%2F%2Fdannyphantom.fandom.com%2Fwiki%2FDanny_Phantom_(character)&psig=AOvVaw3e8HXuMa2sRLYIV0zBsMQw&ust=1599091918088000&source=images&cd=vfe&ved=0CAIQjRxqFwoTCNi8hOCXyesCFQAAAAAdAAAAABAI
const hairPoints = -centerX*0.6 + "," + -centerY*0.9 + " " +
                   -centerX*0.5 + "," + -centerY*0.1 + " " +
                   -centerX*0.4 + "," + -centerY*0.5 + " " +
                   0 + "," + -centerY*0.4 + " " +
      						 -centerX*0 + "," + -centerY*0.6 + " " +
      				   	 centerX*0.8 + "," + -centerY*0.1 + " " +
      				   	 centerX*0.5 + "," + -centerY*0.8 + " " +
      				   	 centerX*0.6 + "," + -centerY*0.7 + " " +
      						 centerX*0.5 + "," + -centerY + " " +
      				   	 0 + "," + -centerY*1.1 + " " +
      						 centerX*0.8 + "," + -centerY*1.3 + " ";

const hairColor = "brown";
const hairStrokeColor = "#be6d73";
const hairStrokeWidth = 6;

// Nose
const nosePoints = -10 + "," + -centerY*0.2 + " " +
                   centerX*0.01 + "," + centerY*0.1 + " " +
      						 centerX*0.05 + "," + centerY*0.1 + " " +
      						 centerX*0.02 + "," + centerY*0.2 + " ";
const noseStrokeWidth = 5;

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI * 0.7)
	.endAngle(Math.PI * 1.2);


const App = () => (
    <svg width={width} height={height}>
    	<g transform={`translate(${centerX},${centerY})`} >
        <circle
          r={centerY - (strokeWidth / 2)}
          fill="yellow"
          stroke="black"
          strokeWidth={strokeWidth}
        />
        <circle 
            cx={-eyeOffsetX} 
            cy={-eyeOffsetY} 
            r={eyeRadius*1.3}
            stroke="black"
            stroke-width={strokeWidth}
            fill="white"
          />
        <circle 
            cx={-eyeOffsetX} 
            cy={-eyeOffsetY} 
            r={eyeRadius/2}
            fill="black"
          />
           
        <circle 
            cx={eyeOffsetX} 
            cy={-eyeOffsetY} 
            r={eyeRadius*1.3}
            stroke="black"
            stroke-width={strokeWidth}
            fill="white"
          />
           <circle 
            cx={eyeOffsetX} 
            cy={-eyeOffsetY} 
            r={eyeRadius/2}
            fill="black"
          />
        
        // Nose
      <polyline
        points={nosePoints}
        fill = "none"
        stroke = "black"
        stroke-width = {noseStrokeWidth}
      />
<ellipse
        cx={-250}
        rx="20"
        ry="70"
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
        transform={`rotate(-5,${-250},${0})`}
      />
      <ellipse
        cx={+250}
        rx="20"
        ry="70"
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
        transform={`rotate(5,${250},${0})`}
      />
        
        <polygon
        points={hairPoints}
        fill = {hairColor}
        opacity="1" //used for debugging
        stroke={hairStrokeColor}
        stroke-width={hairStrokeWidth}
      />
        <g transform = {`translate(${-110},${0})`} >
           <path d="M10,85 a60,60 0 0,0 200,0" fill="black" />
         </g>
      </g>
    </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);